Skip to main content
POST
/
crm
/
v3
/
exports
/
export
/
async
Start an export
curl --request POST \
  --url https://api.hubapi.com/crm/v3/exports/export/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "exportType": "VIEW",
  "format": "XLS",
  "exportName": "<string>",
  "objectProperties": [
    "<string>"
  ],
  "associatedObjectType": [
    "<string>"
  ],
  "includeLabeledAssociations": true,
  "includePrimaryDisplayPropertyForAssociatedObjects": true,
  "objectType": "<string>",
  "language": "EN",
  "exportInternalValuesOptions": [
    "NAMES"
  ],
  "overrideAssociatedObjectsPerDefinitionPerRowLimit": true,
  "publicCrmSearchRequest": {
    "filterGroups": [
      {
        "filters": [
          {
            "operator": "BETWEEN",
            "propertyName": "<string>",
            "highValue": "<string>",
            "value": "<string>",
            "values": [
              "<string>"
            ]
          }
        ]
      }
    ],
    "filters": [
      {
        "operator": "BETWEEN",
        "propertyName": "<string>",
        "highValue": "<string>",
        "value": "<string>",
        "values": [
          "<string>"
        ]
      }
    ],
    "sorts": [
      "<string>"
    ],
    "query": "<string>"
  }
}
'
{
  "id": "<string>",
  "links": {}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
exportType
enum<string>
default:VIEW
required
Available options:
VIEW
format
enum<string>
required
Available options:
XLS,
XLSX,
CSV
exportName
string
required
objectProperties
string[]
required
associatedObjectType
string[]
required
includeLabeledAssociations
boolean
required
includePrimaryDisplayPropertyForAssociatedObjects
boolean
required
objectType
string
required
language
enum<string>
required
Available options:
EN,
DE,
ES,
FR,
JA,
NL,
PT_BR,
IT,
PL,
SV,
FI,
ZH_TW,
DA_DK,
NO,
KO_KR,
TH,
ZH_CN
exportInternalValuesOptions
enum<string>[]
required
Available options:
NAMES,
VALUES
overrideAssociatedObjectsPerDefinitionPerRowLimit
boolean
required
publicCrmSearchRequest
object

Response

accepted

id
string
required

The unique ID of the export.

An object containing relevant links related to the export process.

Last modified on March 30, 2026